// FastObj1Dlg.h : header file
//

#if !defined(AFX_FASTOBJ1DLG_H__C5BA2079_D351_4E6C_917F_F5CC388B18DE__INCLUDED_)
#define AFX_FASTOBJ1DLG_H__C5BA2079_D351_4E6C_917F_F5CC388B18DE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CFastObj1Dlg dialog

class CFastObj1Dlg : public CDialog
{
// Construction
public:
	CVendedor* FindVendedor(CString strNome);
	CZona* FindZona(CString strNome);
	CFilial* FindFilial(CString strNome);

	virtual  ~CFastObj1Dlg();
	void MostraErro(int n);
	void ListaTodos();
	CFastObj1Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFastObj1Dlg)
	enum { IDD = IDD_FASTOBJ1_DIALOG };
	CListBox	m_OutputListFiliais;
	CListBox	m_OutputListCliente;
	CListBox	m_OutputListVend;
	CListBox	m_OutputList;
	CString	m_str;
	int		m_bSort;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFastObj1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int erro;
	PtBase* pObjBase;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFastObj1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpendb();
	afx_msg void OnClosebd();
	afx_msg void OnNewZona();
	afx_msg void OnNewVendedor();
	afx_msg void OnViewAllZonas();
	afx_msg void OnViewAllVendedores();
	afx_msg void OnDelZona();
	afx_msg void OnDelVend();
	afx_msg void OnModZona();
	afx_msg void OnModVend();
	afx_msg void OnNewCliente();
	afx_msg void OnViewAllClientes();
	afx_msg void OnDelCliente();
	afx_msg void OnNewFilial();
	afx_msg void OnViewAllFiliais();
	afx_msg void OnSearchClientes();
	afx_msg void OnRadioSort();
	afx_msg void OnRadioNoSort();
	afx_msg void OnDelFilial();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FASTOBJ1DLG_H__C5BA2079_D351_4E6C_917F_F5CC388B18DE__INCLUDED_)
