// FastObj1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "FastObj1.h"
#include "FastObj1Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



//static int g_iCodCliente = 0;
static CInfoGlobal *g_Info = NULL;


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFastObj1Dlg dialog

CFastObj1Dlg::CFastObj1Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFastObj1Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFastObj1Dlg)
	m_str = _T("");
	m_bSort = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	pObjBase = NULL;
}

void CFastObj1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFastObj1Dlg)
	DDX_Control(pDX, IDC_LIST_FILIAIS, m_OutputListFiliais);
	DDX_Control(pDX, IDC_LIST3, m_OutputListCliente);
	DDX_Control(pDX, IDC_LIST2, m_OutputListVend);
	DDX_Control(pDX, IDC_LIST1, m_OutputList);
	DDX_Text(pDX, IDC_EDIT1, m_str);
	DDX_Radio(pDX, IDC_RADIO_SORT, m_bSort);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFastObj1Dlg, CDialog)
	//{{AFX_MSG_MAP(CFastObj1Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_OPENDB, OnOpendb)
	ON_BN_CLICKED(IDC_CLOSEBD, OnClosebd)
	ON_BN_CLICKED(IDC_NEW_ZONA, OnNewZona)
	ON_BN_CLICKED(IDC_NEW_VENDEDOR, OnNewVendedor)
	ON_BN_CLICKED(IDC_VIEW_ALL_ZONAS, OnViewAllZonas)
	ON_BN_CLICKED(IDC_VIEW_ALL_VENDEDORES, OnViewAllVendedores)
	ON_BN_CLICKED(IDC_DEL_ZONA, OnDelZona)
	ON_BN_CLICKED(IDC_DEL_VEND, OnDelVend)
	ON_BN_CLICKED(IDC_MOD_ZONA, OnModZona)
	ON_BN_CLICKED(IDC_MOD_VEND, OnModVend)
	ON_BN_CLICKED(IDC_NEW_CLIENTE, OnNewCliente)
	ON_BN_CLICKED(IDC_VIEW_ALL_CLIENTES, OnViewAllClientes)
	ON_BN_CLICKED(IDC_DEL_CLIENTE, OnDelCliente)
	ON_BN_CLICKED(IDC_NEW_FILIAL, OnNewFilial)
	ON_BN_CLICKED(IDC_VIEW_ALL_FILIAL, OnViewAllFiliais)
	ON_BN_CLICKED(IDC_SEARCH_CLIENTES, OnSearchClientes)
	ON_BN_CLICKED(IDC_RADIO_SORT, OnRadioSort)
	ON_BN_CLICKED(IDC_RADIO_NO_SORT, OnRadioNoSort)
	ON_BN_CLICKED(IDC_DEL_FILIAL, OnDelFilial)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFastObj1Dlg message handlers

BOOL CFastObj1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	


	//
	// inicializar a aplicao abrindo a BD e visualizando todos os objectos
	//
	ListaTodos();



	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CFastObj1Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CFastObj1Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CFastObj1Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



/*
 ************************************************************
 *
 *		C  D I G O   U S A N D O   F A S T O B J E C T S
 *
 ************************************************************
 */


CFastObj1Dlg::~CFastObj1Dlg()
{
	if (pObjBase != NULL)
	{
		OnClosebd();
	}
}


void CFastObj1Dlg::MostraErro(int n)
{
	if (n < 0)
	{
		//char szErro[20];
		//itoa(n, szErro, 10);

		const char* x = PtError(NULL, NULL, n);
		CString msg; 
		msg.Format("%d : %s", n, x);

		::AfxMessageBox(msg /* szErro */);
	}
}


void CFastObj1Dlg::ListaTodos()
{
	// actualizar ecr
	OnViewAllZonas();
	OnViewAllVendedores();
	OnViewAllClientes();
	OnViewAllFiliais();
}


void CFastObj1Dlg::OnOpendb() 
{
	// inicializar POET
	InitPOET(PtTransactionByBase, "ClientName");	

	// conectar  BD
	int erro = PtBase::POET()->GetBase("LOCAL", "L_my_db", pObjBase);
	if (erro < 0)
	{
		// libertar memria
		PtBase::POET()->UngetBase(pObjBase);
		MostraErro(erro);
	}
	else
	{
		//AfxMessageBox("BD Aberta");
		ASSERT(pObjBase != NULL);

		// ler da BD um objecto com informao global
		CInfoGlobalAllSet info(pObjBase);
		info.Get(g_Info, 0, PtSTART);
		//ASSERT(g_Info != NULL);

		// da 1 vez  necessrio criar o objecto na BD se ainda no existe
		if (g_Info == NULL)
		{
			//criar um objecto em memria
			g_Info = new CInfoGlobal;
			
			//estabelecer o vinculo entre esta objecto e a BD
			g_Info->Assign(pObjBase);

			//gravar o objecto na BD
			g_Info->Store();
		}
	}
}

void CFastObj1Dlg::OnClosebd() 
{
	// guardar o objecto com informao global na BD
	g_Info->Store();

	// libertar memria associada
	delete g_Info;

	// desconectar da BD 
	PtBase::POET()->UngetBase(pObjBase);

	// terminar POET
	DeinitPOET();

	//AfxMessageBox("BD fechada");
}

void CFastObj1Dlg::OnNewZona() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);	


	//criar um objecto em memria
	CZona* pZona = new CZona;

	//estabelecer o vinculo entre esta objecto e a BD
	pZona->Assign(pObjBase);

	//usar o objecto
	pZona->Nome = m_str;

	//gravar o objecto na BD
	MostraErro(pZona->Store());

	//libertar memria
	delete pZona;

	// actualizar ecr
	OnViewAllZonas();
}

void CFastObj1Dlg::OnNewVendedor() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);	


	//criar um objecto em memria
	CVendedor* pVend = new CVendedor;

	//estabelecer o vinculo entre esta objecto e a BD
	pVend->Assign(pObjBase);

	//usar o objecto
	pVend->Nome = m_str;

	//gravar o objecto na BD
	MostraErro(pVend->Store());

	//libertar memria
	delete pVend;

	// actualizar ecr
	OnViewAllVendedores();
}

void CFastObj1Dlg::OnViewAllZonas() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CZonaAllSet todasZonas(pObjBase);

	//ordenar o conjunto de objectos
	if (m_bSort == 0)
	{
		// ordenar usando um campo -> implica que haja um indice sobre esse campo
		int err = todasZonas.SortBy("Nome", PtASCENDING);
		MostraErro(err);

		//
		//era possivel ordenar usando um indice
		//
		//todos.SortByIndex("IndexCliente_1", PtASCENDING);
	}

	//limpar o conteudo da listbox
	m_OutputList.ResetContent();

	//percorrer todos os objectos existentes na BD
	CZona* pZona;
	for (long i=0; todasZonas.Get(pZona, i, PtSTART) == 0; i++)
	{
		//usar o objecto
		m_OutputList.AddString(pZona->Nome);

		//libertar memria
		todasZonas.Unget(pZona);
	}
}


void CFastObj1Dlg::OnViewAllVendedores() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CVendedorAllSet todosVend(pObjBase);

	//ordenar o conjunto de objectos
	if (m_bSort == 0)
	{
		// ordenar usando um campo -> implica que haja um indice sobre esse campo
		int err = todosVend.SortBy("Nome", PtASCENDING);
		MostraErro(err);

		//
		//era possivel ordenar usando um indice
		//
		//todos.SortByIndex("IndexCliente_1", PtASCENDING);
	}

	//limpar o conteudo da listbox
	m_OutputListVend.ResetContent();

	//percorrer todos os objectos existentes na BD
	CVendedor* pVend;
	for (long i=0; todosVend.Get(pVend, i, PtSTART) == 0; i++)
	{
		//usar o objecto
		m_OutputListVend.AddString(pVend->Nome);

		//libertar memria
		todosVend.Unget(pVend);
	}
}


void CFastObj1Dlg::OnDelZona() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CZonaAllSet todasZonas(pObjBase);

	// se houver um elemento selecionado
	if (m_OutputList.GetCurSel() >= 0)
	{
		//obter o nome do elemento a apagar
		CString strNome;
		m_OutputList.GetText(m_OutputList.GetCurSel(), strNome);

		//percorrer todos os objectos existentes na BD
		CZona* pZona;
		for (long i=0; todasZonas.Get(pZona, i, PtSTART) == 0; i++)
		{
			if (pZona->Nome == (PtString)strNome)
			{
				//apagar o objecto da BD
				pZona->Delete();

				//libertar memria
				todasZonas.Unget(pZona);
				break;
			}
			//libertar memria
			todasZonas.Unget(pZona);
		}
	}
	else
	{
		AfxMessageBox("Por favor seleccione primeiro uma Zona");
	}

	// actualizar ecr
	OnViewAllZonas();
}


void CFastObj1Dlg::OnDelVend() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CVendedorAllSet todosVend(pObjBase);

	// se houver um elemento selecionado
	if (m_OutputListVend.GetCurSel() >= 0)
	{
		//obter o nome do elemento a apagar
		CString strNome;
		m_OutputListVend.GetText(m_OutputListVend.GetCurSel(), strNome);

		//percorrer todos os objectos existentes na BD
		CVendedor* pVend;
		for (long i=0; todosVend.Get(pVend, i, PtSTART) == 0; i++)
		{
			if (pVend->Nome == (PtString)strNome)
			{
				//apagar o objecto da BD
				pVend->Delete();

				//libertar memria
				todosVend.Unget(pVend);
				break;
			}
			//libertar memria
			todosVend.Unget(pVend);
		}
	}
	else
	{
		AfxMessageBox("Por favor seleccione primeiro uma Zona");
	}

	// actualizar ecr
	OnViewAllVendedores();
}

void CFastObj1Dlg::OnModZona() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CZonaAllSet todasZonas(pObjBase);

	CZona* pZona;
	CString strNome;

	if (m_OutputList.GetCurSel() >= 0)
	{
		m_OutputList.GetText(m_OutputList.GetCurSel(), strNome);
		for (long i=0; todasZonas.Get(pZona, i, PtSTART) == 0; i++)
		{
			if (pZona->Nome == (PtString)strNome)
			{
				//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
				UpdateData(TRUE);

				//usar o objecto
				pZona->Nome = m_str;

				//gravar o objecto na BD
				pZona->Store();

				//libertar memria
				todasZonas.Unget(pZona);
				break;
			}
			//libertar memria
			todasZonas.Unget(pZona);
		}
	}

	// actualizar ecr
	OnViewAllZonas();
}


void CFastObj1Dlg::OnModVend() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CVendedorAllSet todosVend(pObjBase);
	CVendedor* pVend;
	CString strNome;

	if (m_OutputListVend.GetCurSel() >= 0)
	{
		m_OutputListVend.GetText(m_OutputListVend.GetCurSel(), strNome);
		for (long i=0; todosVend.Get(pVend, i, PtSTART) == 0; i++)
		{
			if (pVend->Nome == (PtString)strNome)
			{
				//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
				UpdateData(TRUE);

				//usar o objecto
				pVend->Nome = m_str;

				//gravar o objecto na BD
				pVend->Store();

				//libertar memria
				todosVend.Unget(pVend);
				break;
			}
			//libertar memria
			todosVend.Unget(pVend);
		}
	}

	// actualizar ecr
	OnViewAllVendedores();
}


void CFastObj1Dlg::OnNewCliente() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);


	//verificar se tem um vendedor escolhido
	CString strNomeVend;
	CVendedor *pVend = NULL;
	if (m_OutputListVend.GetCurSel() >= 0)
	{
		m_OutputListVend.GetText(m_OutputListVend.GetCurSel(), strNomeVend);
		pVend = FindVendedor(strNomeVend);
		ASSERT(pVend != NULL);
	}
	else
	{
		AfxMessageBox("Por favor escolha primeiro um vendedor");

		return;
	}

	//verificar se tem uma zona escolhida
	CString strNomeZona;
	CZona *pZona = NULL;
	if (m_OutputList.GetCurSel() >= 0)
	{
		m_OutputList.GetText(m_OutputList.GetCurSel(), strNomeZona);
		pZona = FindZona(strNomeZona);
		ASSERT(pZona != NULL);
	}
	else
	{
		AfxMessageBox("Por favor escolha primeiro uma zona");


		//libertar memria
		delete pVend;

		return;
	}

	//verificar se tem pelo menos uma filial escolhida
	if (m_OutputListFiliais.GetSelCount() <= 0)
	{
		AfxMessageBox("Por favor escolha primeiro uma ou mais filial(is)");


		//libertar memria
		delete pZona;
		delete pVend;

		return;
	}

	//criar um cliente
	CCliente* pCliente = new CCliente;

	//estabelecer o vinculo entre esta objecto e a BD
	pCliente->Assign(pObjBase);

	//usar o objecto
	pCliente->Nome = m_str;
	pCliente->codigo = g_Info->GetNextCodigoCliente();

	//atribuir-lhe um vendedor
	pCliente->theCVendedor = pVend;

	//atribuir-lhe uma zona: foi declarado como <ondemand>
	pCliente->theCZona.SetReference(pZona);

	//atribuir-lhe as filiais: foi declarado como <cset>
	CString strNomeFilial;
	CArray<CFilial*, CFilial*> pFilial;
	
	CArray<int, int> seleccao;
	int nSize = m_OutputListFiliais.GetSelCount();
	seleccao.SetSize(nSize);
	pFilial.SetSize(nSize);
	m_OutputListFiliais.GetSelItems(nSize, seleccao.GetData());

	for (int i=0; i <= seleccao.GetUpperBound(); i++)
	{
		m_OutputListFiliais.GetText(seleccao[i], strNomeFilial);
		pFilial[i] = FindFilial(strNomeFilial);
		pCliente->theCFilial.Append(pFilial[i]);
	}


	//gravar na BD
	MostraErro(pCliente->Store());

	//limpar memria
	delete pCliente;
	delete pVend;
	delete pZona;
	for (i = 0; i < pFilial.GetUpperBound(); i++)
		delete pFilial[i];

	//actualizar a lista
	OnViewAllClientes();
}


CVendedor* CFastObj1Dlg::FindVendedor(CString strNome)
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//
	//implementao #1 - percorrer todos
	//

	/*
	CVendedorAllSet todosVend(pObjBase);
	CVendedor* pVend;

	for (long i=0; todosVend.Get(pVend, i, PtSTART) == 0; i++)
	{
		if (pVend->Nome == (PtString)strNome)
		{
			return pVend;
		}
		todosVend.Unget(pVend);
	}

	return NULL;
	*/

	//
	//implementao #2 - efectuar uma pesquisa
	//

	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CVendedorAllSet todosVend(pObjBase);

	CVendedorQuery q;
	CVendedor* pVend;
	CVendedorSet r;

	q.SetNome((PtString)strNome, PtEQ);

	//executar a pesquisa
	todosVend.Query(&q, &r);

	r.Get(pVend, 0, PtSTART);
	return pVend;
}


CZona* CFastObj1Dlg::FindZona(CString strNome)
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//
	//implementao #1 - percorrer todos
	//

	/*
	CZonaAllSet todasZonas(pObjBase);
	CZona* pZona;

	for (long i=0; todasZonas.Get(pZona, i, PtSTART) == 0; i++)
	{
		if (pZona->Nome == (PtString)strNome)
		{
			return pZona;
		}
		todasZonas.Unget(pZona);
	}

	return NULL;
	*/

	//
	//implementao #2 - efectuar uma pesquisa
	//

	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CZonaAllSet todos(pObjBase);

	CZonaQuery q;
	CZona* pZona;
	CZonaSet r;

	q.SetNome((PtString)strNome, PtEQ);

	//executar a pesquisa
	todos.Query(&q, &r);

	r.Get(pZona, 0, PtSTART);
	return pZona;
}


CFilial* CFastObj1Dlg::FindFilial(CString strNome)
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//
	//implementao #1 - percorrer todos
	//

	/*
	CFilialAllSet todospObjBase);
	CFilial* pFilial;

	for (long i=0; todos.Get(pFilial, i, PtSTART) == 0; i++)
	{
		if (pFilial->Nome == (PtString)strNome)
		{
			return pFilial;
		}
		todos.Unget(pFilial);
	}

	return NULL;
	*/

	//
	//implementao #2 - efectuar uma pesquisa
	//

	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CFilialAllSet todos(pObjBase);

	CFilialQuery q;
	CFilial* pFilial;
	CFilialSet r;

	q.SetNome((PtString)strNome, PtEQ);

	//executar a pesquisa
	todos.Query(&q, &r);

	r.Get(pFilial, 0, PtSTART);
	return pFilial;
}


void CFastObj1Dlg::OnViewAllClientes() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CClienteAllSet todosCli(pObjBase);

	//ordenar o conjunto de objectos
	if (m_bSort == 0)
	{
		// ordenar usando um campo -> implica que haja um indice sobre esse campo
		int err = todosCli.SortBy("Nome", PtASCENDING);
		MostraErro(err);

		//
		//era possivel ordenar usando um indice
		//
		//todos.SortByIndex("IndexCliente_1", PtASCENDING);
	}

	//limpar o conteudo da listbox
	m_OutputListCliente.ResetContent();

	//percorrer todos os objectos existentes na BD
	CCliente* pCliente;
	for (long i=0; todosCli.Get(pCliente, i, PtSTART) == 0; i++)
	{
		//ir buscar a zona: foi declarado como <ondemand>
		CZona* pZona;
		pCliente->theCZona.Get(pZona);

		//ir buscar o nome de cada filial
		CString strFiliais;
		CFilial* pFilial;
		for (int j=0; pCliente->theCFilial.Get(pFilial, j, PtSTART)==0; j++)
		{
			//usa o objecto
			strFiliais += " | ";
			strFiliais += pFilial->Nome;

			//libertar memria
			pCliente->theCFilial.Unget(pFilial);
		}

		// formatar para visualizao
		CString x;
		x.Format("%d", pCliente->codigo);
		m_OutputListCliente.AddString(x + CString(" | ") + 
									pCliente->Nome + CString(" | ") + 
									pCliente->theCVendedor->Nome + CString(" | ") + 
									pZona->Nome + strFiliais);

		// necessrio apagar os objectos referenciados!!!
		delete pCliente->theCVendedor;
		pCliente->theCZona.Unget(pZona);

		//libertar memria
		todosCli.Unget(pCliente);
	}
}


void CFastObj1Dlg::OnDelCliente() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CClienteAllSet todos(pObjBase);

	// se houver um elemento selecionado
	if (m_OutputListCliente.GetCurSel() >= 0)
	{
		//obter o nome do elemento a apagar
		CString strNome;
		m_OutputListCliente.GetText(m_OutputListCliente.GetCurSel(), strNome);

		//percorrer todos os objectos existentes na BD
		CCliente* pCliente;
		for (long i=0; todos.Get(pCliente, i, PtSTART) == 0; i++)
		{
			char *psz = strNome.GetBuffer(100);
			int cod = atoi(psz);
			strNome.ReleaseBuffer();

			if (pCliente->codigo == cod)
			{
				//apagar o objecto da BD
				pCliente->Delete();

				//libertar memria
				todos.Unget(pCliente);
				break;
			}
			//libertar memria
			todos.Unget(pCliente);
		}
	}
	else
	{
		AfxMessageBox("Por favor seleccione primeiro uma Zona");
	}

	// actualizar ecr
	OnViewAllClientes();
}


void CFastObj1Dlg::OnNewFilial() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);	


	//criar um objecto em memria
	CFilial* pFilial = new CFilial;

	//estabelecer o vinculo entre esta objecto e a BD
	pFilial->Assign(pObjBase);

	//usar o objecto
	pFilial->Nome = m_str;

	//gravar o objecto na BD
	MostraErro(pFilial->Store());

	//libertar memria
	delete pFilial;

	// actualizar ecr
	OnViewAllFiliais();
}


void CFastObj1Dlg::OnViewAllFiliais() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CFilialAllSet todos(pObjBase);

	//ordenar o conjunto de objectos
	if (m_bSort == 0)
	{
		// ordenar usando um campo -> implica que haja um indice sobre esse campo
		todos.SortBy("Nome", PtASCENDING);

		//
		//era possivel ordenar usando um indice
		//
		//todos.SortByIndex("IndexCliente_1", PtASCENDING);
	}

	//limpar o conteudo da listbox
	m_OutputListFiliais.ResetContent();

	//percorrer todos os objectos existentes na BD
	CFilial* pFilial;
	for (long i=0; todos.Get(pFilial, i, PtSTART) == 0; i++)
	{
		//usar o objecto
		m_OutputListFiliais.AddString(pFilial->Nome);

		//libertar memria
		todos.Unget(pFilial);
	}
}


void CFastObj1Dlg::OnSearchClientes() 
{
	//ler os valores da janela de dialogo para as variaveis (VC++ / MFC)
	UpdateData(TRUE);

	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CClienteAllSet todos(pObjBase);

	//declarar um objecto auxiliar do tipo Query para definir o critrio de pesquisa
	CClienteQuery q;

	//declarar um objecto auxiliar do tipo Set para conter o resultado das pesquisa
	CClienteSet r;

	//definir critrio de pesquisa (neste caso, procurar pelo campo nome de acordo 
	//com o valor introduzido na janela de dialogo)
	q.SetNome((PtString)m_str, PtEQ);

	//executar a pesquisa
	todos.Query(&q, &r);

	//limpar o conteudo da listbox
	m_OutputListCliente.ResetContent();
	m_OutputListCliente.AddString("*** Resultados Pesquisa ***");

	//percorrer todos os objectos existentes no resultset (i.e., que obedeam ao critrio de pesquisa)
	CCliente* pCliente;
	for (int i=0; r.Get(pCliente, i, PtSTART) == 0; i++)
	{
		m_OutputListCliente.AddString(pCliente->Nome);

		//libertar memria
		r.Unget(pCliente);
	}


	//
	// exemplo mais complexo
	//
	// procurar por todos os clientes que tenham pelo menos duas filiais 
	// comeadas por 'P' e cujo cdigo de cliente seja inferior a 10
	// devolver o resultado ordenado por nome de cliente
	//
	/*
	CClienteAllSet todos(pObjBase);
	CClienteQuery qC;
	CFilialQuery qF;
	CClienteSet r;
	CCliente* pCliente;

	
	qF.SetNome("P*", PtEQ);
	qC.settheCFilial(2, PtGTE, &qF);
	qC.Setcodigo(10, PtLT);
	qC.SortByName(PtASCENDING);

	todos.Query(&qC, &r);
	
	m_OutputListCliente.ResetContent();
	m_OutputListCliente.AddString("*** Resultados Pesquisa ***");
	for (int i=0; r.Get(pCliente, i, PtSTART) == 0; i++)
	{
		m_OutputListCliente.AddString(pCliente->Nome);
		r.Unget(pCliente);
	}
	*/
}

void CFastObj1Dlg::OnRadioSort() 
{
	ListaTodos();	
}

void CFastObj1Dlg::OnRadioNoSort() 
{
	ListaTodos();		
}

void CFastObj1Dlg::OnDelFilial() 
{
	// garantir que a BD est aberta
	if (pObjBase == NULL)
		OnOpendb();
	ASSERT(pObjBase != NULL);


	//declarar um objecto auxiliar do tipo AllSet para percorrer todos os objectos
	CFilialAllSet todas(pObjBase);

	// se houver um elemento selecionado
	int nSize = m_OutputListFiliais.GetSelCount();
	if (nSize >= 0)
	{
		//obter o nome do elemento a apagar -> a lista permite selco multipla: s se apaga o primeiro
		CString strNomeFilial;
		CArray<int, int> seleccao;
		seleccao.SetSize(nSize);
		m_OutputListFiliais.GetSelItems(nSize, seleccao.GetData());
		for (int i=0; i <= seleccao.GetUpperBound(); i++)
		{
			m_OutputListFiliais.GetText(seleccao[i], strNomeFilial);

			//pesquisar esta filial
			CFilial* pFilial = FindFilial(strNomeFilial);
			ASSERT(pFilial != NULL);

			//apagar objecto
			pFilial->Delete();

			//libertar memria
			delete pFilial;
		}
	}
	else
	{
		AfxMessageBox("Por favor seleccione primeiro uma Filial");
	}

	// actualizar ecr
	OnViewAllFiliais();
}
